Bug 1420921

Summary: [EPIC] Auto discovery of h/w, networks and storage for Director UI driven deployment
Product: Red Hat OpenStack Reporter: Anandeep Pannu <apannu>
Component: openstack-tripleo-uiAssignee: RHOS Maint <rhos-maint>
Status: CLOSED WONTFIX QA Contact: Arik Chernetsky <achernet>
Severity: medium Docs Contact:
Priority: medium    
Version: 14.0 (Rocky)CC: achernet, beth.white, jbuchta, jjoyce, jrist, jschluet, mbarnett, slinaber, tvignaud
Target Milestone: Upstream M3Keywords: FutureFeature
Target Release: ---Flags: mbarnett: needinfo+
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-24 13:17:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1422630, 1422642    
Bug Blocks: 1469868    

Description Anandeep Pannu 2017-02-09 21:31:31 UTC
For the Basic Deployer Persona auto discover nodes, networks, switch and logically attached storage details

User stories (partial list) : 

(1) As a Basic Deployer, I want the application to auto-discover nodes to make node registration quicker and less error prone.
(2) As a deployer, I want the application to auto-discover the network details about my registered nodes.
NICs, VLANs, Bonds, MTU, Speed.
(3)As a deployer, I want the application to auto-discover locally attached storage details.
Disks, Type, Controller, Size, Device Name, Topology, RAID, Vendor, Firmware rev
(4)As a deployer, I want the application to auto-discover switch details.
Switch name, Switch ID, Chassis ID, Switch description, vendor, port description, type (router / bridge)

Comment 1 Anandeep Pannu 2017-10-20 20:11:30 UTC
This is an epic, used only for tracking. Actual RFEs will have details of feature functionality.